unit book;

interface

type
  TBook = class
  private
    FAuthor: String;
    FTitle: String;
    FPrice: Double;
  public
    property Author: String read FAuthor write FAuthor;
    property Title: String read FTitle write FTitle;
    property Price: Double read FPrice write FPrice;
    constructor Create(const Author, Title: String; Price: Double); virtual;
  end;

implementation

{ TBook }

constructor TBook.Create(const Author, Title: String; Price: Double);
begin
  FAuthor := Author;
  FTitle := Title;
  FPrice := Price;
end;

end.
